"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class EventHandler {
    constructor() {
        this.listeners = {};
    }
    on(event, callback) {
        this.listeners[event] = this.listeners[event] || [];
        this.listeners[event].push(callback);
    }
    trigger(event, data) {
        const callbacks = [].concat(this.listeners[event] || [], this.listeners['*'] || []);
        callbacks.forEach(listener => {
            listener.call(null, event, data);
        });
    }
}
exports.EventHandler = EventHandler;
exports.default = EventHandler;
