"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const htmlvalidate_1 = require("../htmlvalidate");
describe('rule deprecated', function () {
    const expect = require('chai').expect;
    let htmlvalidate;
    before(function () {
        htmlvalidate = new htmlvalidate_1.default({
            rules: { 'deprecated': 'error' },
        });
    });
    it('should not report when regular element is used', function () {
        const report = htmlvalidate.string('<p></p>');
        expect(report).to.be.valid;
    });
    it('should report error when deprecated element is used', function () {
        const report = htmlvalidate.string('<marquee>foobar</marquee>');
        expect(report).to.be.invalid;
        expect(report).to.have.error('deprecated', '<marquee> is deprecated');
    });
});
