"use strict";
function init(parser, userOptions) {
    const options = Object.assign({}, this.defaults, userOptions);
    const regex = new RegExp(options.pattern);
    const xmlns = /^(.+):.+$/;
    parser.on('tag:open', (event, report) => {
        const target = event.target;
        const tagName = target.tagName;
        if (options.blacklist.indexOf(tagName) >= 0) {
            report(target, `<${tagName}> element is blacklisted`);
        }
        if (target.meta) {
            return;
        }
        if (tagName.match(xmlns)) {
            return;
        }
        if (options.whitelist.indexOf(tagName) >= 0) {
            return;
        }
        if (!tagName.match(regex)) {
            report(target, `<${tagName}> is not a valid element name`);
        }
    });
}
module.exports = {
    name: 'element-name',
    init,
    defaults: {
        pattern: '^[a-z][a-z0-9\\-._]*-[a-z0-9\\-._]*$',
        whitelist: [],
        blacklist: [],
    },
};
