"use strict";
const meta_1 = require("../meta");
function init(parser) {
    parser.on('dom:ready', validate);
}
function validate(event, report) {
    const doc = event.document;
    doc.visitDepthFirst((node) => {
        if (!node.meta) {
            return;
        }
        const rules = node.meta.permittedOrder;
        meta_1.Validator.validateOrder(node.children, rules, (child, prev) => {
            report(node, `Element <${child.tagName}> must be used before <${prev.tagName}> in this context`);
        });
    });
}
module.exports = {
    name: 'element-permitted-order',
    init,
};
