"use strict";
const pattern_1 = require("../pattern");
function init(parser, userOptions) {
    const options = Object.assign({}, this.defaults, userOptions);
    const pattern = pattern_1.parsePattern(options.pattern);
    parser.on('attr', (event, report) => {
        if (event.key.toLowerCase() !== 'id') {
            return;
        }
        if (!event.value.match(pattern)) {
            report(event.target, `ID "${event.value}" does not match required pattern "${pattern}"`);
        }
    });
}
module.exports = {
    name: 'id-pattern',
    init,
    defaults: {
        pattern: 'kebabcase',
    },
};
