"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const htmlvalidate_1 = require("../htmlvalidate");
describe('rule id-pattern', function () {
    const expect = require('chai').expect;
    let htmlvalidate;
    before(function () {
        htmlvalidate = new htmlvalidate_1.default({
            rules: { 'id-pattern': 'error' },
        });
    });
    it('should not report error when id follows pattern', function () {
        const report = htmlvalidate.string('<p id="foo-bar"></p>');
        expect(report).to.be.valid;
    });
    it('should report error when id does not follow pattern', function () {
        const report = htmlvalidate.string('<p id="fooBar"></p>');
        expect(report).to.be.invalid;
        expect(report).to.have.error('id-pattern', /ID "fooBar" does not match required pattern ".*"/);
    });
});
