"use strict";
function init(parser, options) {
    this.options = Object.assign(this.defaults, options);
    if (!Array.isArray(this.options.alias)) {
        this.options.alias = [this.options.alias];
    }
    parser.on('dom:ready', (event, report) => {
        const images = event.document.getElementsByTagName('img');
        images.forEach((node) => {
            const alt = node.getAttribute('alt');
            if (alt || (alt === "" && this.options.allowEmpty)) {
                return;
            }
            for (const attr of this.options.alias) {
                if (node.getAttribute(attr)) {
                    return;
                }
            }
            report(node, "<img> is missing required alt attribute");
        });
    });
}
module.exports = {
    name: 'img-req-alt',
    init,
    defaults: {
        allowEmpty: true,
        alias: [],
    },
};
